# install.sh script
# 
# author:	hackbard
# date:		01.12.2001

# get an empty linux partition (reiserfs or ext2). mount it to your favorite 
# mountpoint (/mnt/lfs) and export it to LFS (export LFS=/mnt/lfs). now just
# execute this script and relax *g*

# just udpdate the dates and timestamps of the cvs packages
# we will use linux from scratch cvs as it is nice packaged
# check:
# for pkg http://www.linuxfromscratch.org/view/cvs/chapter03/packages.html
# for bs http://www.linuxfromscratch.org/view/cvs/chapter02/bootscripts.html

date_pkgs="20011213-0340"
date_bs="20010907-2249"

snap_version="0.0.1"
wget_version="1.7"
devfsd_version="1.3.20"

# start of program, just edit if you know what you are doing!

if [ -z `set | grep LFS` ] ; then
	echo "make sure to export \$LFS correctly!"
	exit 1
else

echo "\$LFS is set to $LFS - is that correct? (5 sec to abort)"
echo -en \\007 ; sleep 5
echo " ... okay, let's go:"
echo

# let's go ;)

echo "welcome to hdw-linux"
echo "this is release $snap_version. have a look at the README file after this."
echo "if wget reports errors edit the first three variables, easy thing!"
echo
echo -en \\007 ; sleep 1 ; echo -en \\007 ; sleep 1 ; echo -en \\007 ; sleep 5
echo "... creating directories for install scripts and (pre/base) sources:"
echo

cd $LFS
mkdir -p ./usr/src/sources
mkdir -p ./usr/src/scripts

cd ./usr/src/sources

echo
echo " ... downloading bootscripts:"
echo

# bootscripts
wget ftp://ftp.linuxfromscratch.org/lfs-bootscripts/lfs-bootscripts-cvs-$date_bs.tar.bz2

echo
echo " ... downloading pre/base sources (this could take a while):"
echo

# all lfs packages tarred
wget ftp://ftp.linuxfromscratch.org/lfs-packages/cvs/lfs-packages-$date_pkgs.tar

echo
echo " ... extracting sources and bootscripts:"
echo

# let's untar it
tar xvf lfs-packages-$date_pkgs.tar
cd ./cvs
mv ./* ../
cd ..
rm -r ./cvs
tar --use-compress-program=bunzip2 -fvx lfs-bootscripts-cvs-$date_bs.tar.bz2 -C ./

echo 
echo "... downloading the latest snapshot of install scripts :"
echo

# fetching the latest snap
cd $LFS/usr/src/scripts
wget http://hackdaworld.dyndns.org/filez/projects/lfs/snapshots/hdw-linux-$snap_version.tar

echo
echo "... downloading & gunzip/bzip2 devfsd (base) and wget (gnu server is a lot traveled!) :"
echo

cd $LFS/usr/src/sources
wget http://hackdaworld.dyndns.org/filez/projects/lfs/src/devfsd/devfsd-$devfsd_version.tar.bz2
mkdir wget
cd wget
wget http://hackdaworld.dyndns.org/filez/projects/lfs/src/wget/wget-1.7.tar.bz2
wget http://hackdaworld.dyndns.org/filez/projects/lfs/src/wget/allow-tilde-in-url.patch

# extracting
echo
echo "... extracting snaphot:"
echo

cd $LFS/usr/src/scripts
tar xvf ./hdw-linux-$snap_version.tar

rm $LFS/install.sh 

cd $LFS/usr/src/scripts
echo 
echo "##############################################"
echo "read the README file now"
echo "**********************************************"
echo

fi

# 
# read the README file now 
#
# end
